Bug 735892 - RFE: New user should be able to change the email address for validation
RFE: New user should be able to change the email address for validation
Status: CLOSED DUPLICATE of bug 803923
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.4
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: zanata-dev-internal
Ding-Yi Chen
:
Depends On:
Blocks: 748696
  Show dependency treegraph
 
Reported: 2011-09-06 00:00 EDT by Ding-Yi Chen
Modified: 2012-11-05 20:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-05 20:18:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2011-09-06 00:00:18 EDT
Description of problem:
Currently, if Zanata fails to verify the email of a fedora contributor, the contributor's account will be disabled, and he/she can no longer login.

However, it will be more convenient for contributors to login, change email, then re-verify the account.

Version-Release number of selected component (if applicable):
Zanata version 1.4-SNAPSHOT (20110901-1705)

How reproducible:
Always

Steps to Reproduce:
1. Assume a contributor has not register in Zanata.
2. The contributor follow the registration process, but enter an invalid email address.
3. The contributor relogin
  
Actual results:
User XXXX has been disabled. Please check your email for a validation code, or contact server admin. 

Expected results:
User XXXX can still login to change his/her email, yet the account is still inactivate until the email can be verified.
Comment 1 Sean Flanigan 2011-09-06 02:03:00 EDT
Actually, this isn't specific to Fedora authentication.  It applies to any new user who doesn't receive the account validation email.  Internal or external authentication.
Comment 2 Sean Flanigan 2011-09-07 00:32:53 EDT
Assigning to Scrum product owner for prioritisation.
Comment 3 Carlos Munoz 2011-09-27 20:41:39 EDT
Added workaround for this bug: When no domain is configured on the server, new users will be forced to enter their email address. The server won't try to "guess" it.
Comment 4 Sean Flanigan 2011-09-28 01:01:15 EDT
Carlos's workaround looks okay to me.  Dean, could you please check that and then remove this bug from the Zanata-1.4 blockers?
Comment 5 Ding-Yi Chen 2011-09-28 22:28:38 EDT
Mmm, admin deleting the user then user re-register with zanata (not for fedora authentication) seems does the trick, so I can remove this as blocker.

Then again, Carlos' workaround does not quite solve following scenario:
1. typo
2. people might still filling in username@fedoraproject.org

So this bug can't be closed yet.
Comment 6 Ding-Yi Chen 2012-11-05 20:18:30 EST

*** This bug has been marked as a duplicate of bug 803923 ***

Note You need to log in before you can comment on or make changes to this bug.